<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <record id="action_sos_master_list_customer_form_list" model="ir.actions.act_window">
        <field name="name">Master Customer Property Audit</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sos_master_list_customer</field>
        <field name="view_mode">tree,form</field>
    </record>

    <record id="sos_master_list_customer_view_tree" model="ir.ui.view">
        <field name="name">sos_master_list_customer.view.tree</field>
        <field name="model">sos_master_list_customer</field>
        <field name="arch" type="xml">
            <tree>
                <field name="customer_name"/>
                <field name="write_uid" string="Last Edited By" /> <!--optional="hide"-->
                <field name="write_date" string="Last Edited On" /> <!--optional="hide"-->
            </tree>
        </field>
    </record>
    <record id="sos_master_list_customer_form_view" model="ir.ui.view">
        <field name="name">Form</field>
        <field name="model">sos_master_list_customer</field>
        <field name="arch" type="xml">
        <form string="Model Form">
            <sheet>
                <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Master List of Customer Property</h2><hr></hr><br></br>  
                    <group>
                    <group>
                        <field name="customer_name"/>
                        </group>
                    </group>

                <notebook>
                <page string="Customer Property">

                <field name="line_ids_customer_property">
                    <tree editable="bottom">
                        <field name="customer_property_name"/>
                        <field name="customer_property_received_date"/>
                        <field name="customer_property_ref_no"/>
                        <field name="customer_property_stored_at"/>
                        <field name="protecting_customer_property"/>
                        <field name="master_list_last_reviewed"/>
                    </tree>
                </field>
                </page>
                </notebook>
            </sheet>
        </form>
        </field>
    </record>
    
    <menuitem id="sos_master_list_customer_menu" name="Customer Property Master" 
        parent="scg_forms_menu_root" action="action_sos_master_list_customer_form_list" /> 
    <!-- groups="sos_inventory.sos_sales_user,sos_inventory.sos_scg_group_manager,sos_inventory.sos_scg_group_user,sos_inventory.sos_ce_user,sos_inventory.sos_rd_user,sos_inventory.sos_production_user,sos_inventory.sos_qc_user,sos_inventory.sos_management_user,sos_inventory.sos_logistics_user,sos_inventory.sos_finance_user" -->

</odoo>